Suite

Pgrouting installer debian 7.5 whezy


J'ai besoin d'installer pgRouting sur un serveur Debian 7.5 64 bits.

J'ai PostgreSQL 9.1 et PostGIS 1.5 en cours d'exécution. Mais de toute façon, je ne peux pas installer pgRouting.

1 - Pour utiliser add-apt-repository, exécutez la commande :

apt-get install python-software-properties

2 - Je suis entré sur le site georepublichttps://launchpad.net/ ~/+archive/ubuntu/pgrouting-unstableppa pour obtenir la source à ajouter à la liste mais n'a qu'à Ubuntu.

Quelqu'un peut-il m'aider???


Je vous recommanderais PostGIS 2.0 ou supérieur. Dans la documentation, il est dit que PostGIS 1.5 est nécessaire, et je suppose que cela fonctionne. Mais je ne pense pas que beaucoup de gens utilisent encore PostGIS 1.5

Il existe des paquets pgRouting pour Debian pour "sid". Mais cela nécessite PostGIS 2.1 : https://packages.debian.org/sid/postgresql-9.3-pgrouting

Le référentiel pgRouting sur Launchpad est pour Ubuntu, pas pour Debian. Et il nécessite également PostGIS 2.0 ou supérieur.


Voir la vidéo: Installation Debian Wheezy Server (Octobre 2021).